{
  "name": "my-resume",
  "version": "1.0.0",
  "private": true,
	"type": "module",
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check build-only",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --noEmit -p tsconfig.app.json --composite false",
    "lint:oxlint": "oxlint . --fix -D correctness --ignore-path .gitignore",
		"lint:eslint": "eslint . --fix",
		"lint": "run-s lint:*",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@fortawesome/fontawesome-free": "^6.4.2",
    "vue": "^3.3.4",
    "vue-i18n": "^11.1.4"
  },
  "devDependencies": {
    "@tailwindcss/postcss": "^4.1.7",
    "@tsconfig/node22": "^22.0.0",
    "@types/node": "^22.15.21",
    "@vitejs/plugin-vue": "^5.2.4",
    "@vue/eslint-config-prettier": "^10.2.0",
    "@vue/eslint-config-typescript": "^14.5.0",
    "@vue/tsconfig": "^0.7.0",
    "eslint": "^9.27.0",
    "eslint-plugin-oxlint": "^0.16.12",
    "eslint-plugin-vue": "^10.1.0",
    "npm-run-all": "^4.1.5",
    "oxlint": "^0.16.12",
    "postcss": "^8.4.29",
    "prettier": "^3.0.0",
    "tailwindcss": "^4.1.7",
    "typescript": "^5.8.3",
    "vite": "^6.3.5",
    "vite-bundle-analyzer": "^0.21.0",
    "vue-tsc": "^2.2.10"
  }
}
